Debian Bug report logs - #675927
ITP: libmoosex-has-options-perl -- Succinct options for Moose

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: matanya <matanya.moses@gmail.com>

Date: Mon, 4 Jun 2012 09:12:09 UTC

Owned by: matanya <matanya.moses@gmail.com>

Severity: wishlist

Fixed in version libmoosex-has-options-perl/0.003-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#675927; Package wnpp. (Mon, 04 Jun 2012 09:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to matanya <matanya.moses@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Jun 2012 09:12:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: matanya <matanya.moses@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoosex-has-options-perl -- Succinct options for Moose
Date: Mon, 04 Jun 2012 02:10:41 +0000
Package: wnpp
Severity: wishlist
Owner: matanya <matanya.moses@gmail.com>


* Package name    : libmoosex-has-options-perl
  Version         : 0.002
  Upstream Author : Peter Shangov <pshangov@yahoo.com>
* URL             : http://search.cpan.org/~pshangov/MooseX-Has-Options-0.002/lib/MooseX/Has/Options.pm
* License         : GPL 1, Artistic 1
  Programming Lang: Perl
  Description     : Succinct options for Moose



This module provides a succinct syntax for declaring options for Moose attributes. It hijacks the has function imported by Moose and replaces it with one that understands the options syntax.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, matanya <matanya.moses@gmail.com>:
Bug#675927; Package wnpp. (Mon, 04 Jun 2012 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, matanya <matanya.moses@gmail.com>. (Mon, 04 Jun 2012 17:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 675927@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: matanya <matanya.moses@gmail.com>
Cc: 675927@bugs.debian.org
Subject: Re: Bug#675927: ITP: libmoosex-has-options-perl -- Succinct options for Moose
Date: Mon, 04 Jun 2012 19:17:56 +0200
hi!

matanya wrote (04 Jun 2012 02:10:41 GMT) :
> * Package name    : libmoosex-has-options-perl

do you want to maintain this package as part of the Debian Perl team?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, matanya <matanya.moses@gmail.com>:
Bug#675927; Package wnpp. (Mon, 04 Jun 2012 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to מתניה <matanya.moses@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, matanya <matanya.moses@gmail.com>. (Mon, 04 Jun 2012 18:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 675927@bugs.debian.org (full text, mbox):

From: מתניה <matanya.moses@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 675927@bugs.debian.org
Subject: Re: Bug#675927: ITP: libmoosex-has-options-perl -- Succinct options for Moose
Date: Mon, 04 Jun 2012 21:21:42 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

yes, please.

בתאריך 04/06/12 20:17, ציטוט intrigeri:
> hi!
> 
> matanya wrote (04 Jun 2012 02:10:41 GMT) :
>> * Package name    : libmoosex-has-options-perl
> 
> do you want to maintain this package as part of the Debian Perl
> team?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPzPyzAAoJEOTywV1Sgcd5dsYP/3Kl22w5ZKgRkAzbbbfD6cRF
KE7bNKUOOspTJ68RqB7LMAfN3zWR+q9GAtoEOq8fLbEMj8+xoXveXBljqJfMFcxv
YFVJ6n+ufBXVsBk4q60WGw5k41LFYG1w/vwBBR6WTJEpIJm9N/ptRihOtnLvEfbs
PljdvxrpfiC65ORz+pHD/b3z9Sk/DosDdqu/wWyuTBt+s+UQtLGPpJOE7CpQzHNt
HBGMHjvH2CDYkzc3/8hFGty30ZIM2+W7yINF1IkLJoWiVqP90J8xFpWBMTSTSEgb
YvJ7c/KvlAarkAy+fSWDGpnfa6Mo8gaUSSJgmD1KrVkZcMcv+C4rgqn7Kcn1VHd/
5APHJRtplyKkSYn9rcm6vzDIXZGFQnx1Uq1ktdBkIOCSnEu7135/FrBKmkJjDiSc
KcM3L5GGBqAqLKKcFLU6tWsUlZ+te/AvplW1TObR46iIddEwCh809c73svVs0DS5
YN3qFvEtYc3N3WbpJezFxnVrhoyotLyBTQJMvFXNZ/yBL3NEe0vMccDoq5Xer4Kj
kZvLuwcJlU+VoeF0p9jqkK6eMoDSLIMCXDQVIsliWMlmPV8ebcKe7vj2DkZAM07T
yMWP4h05AMxn/0EhZYp65EFKH69Dwhck2j7IPMGeSDFzE1JwQPB/Wi5BltHXRTe+
0kJPV94x2IB5QdGtvf8L
=aavO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, matanya <matanya.moses@gmail.com>:
Bug#675927; Package wnpp. (Tue, 05 Jun 2012 07:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, matanya <matanya.moses@gmail.com>. (Tue, 05 Jun 2012 07:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 675927@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: מתניה <matanya.moses@gmail.com>
Cc: 675927@bugs.debian.org
Subject: Re: Bug#675927: ITP: libmoosex-has-options-perl -- Succinct options for Moose
Date: Tue, 05 Jun 2012 09:23:39 +0200
Hi,

מתניה wrote (04 Jun 2012 18:21:42 GMT) :
> yes, please.

Then please see:
https://wiki.debian.org/Teams/DebianPerlGroup#How_to_get_involved




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:13 GMT) Full text and rfc822 format available.

Notification sent to matanya <matanya.moses@gmail.com>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:13 GMT) Full text and rfc822 format available.

Message #27 received at 675927-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 675927-close@bugs.debian.org
Subject: Bug#675927: fixed in libmoosex-has-options-perl 0.003-1
Date: Wed, 09 Jan 2013 18:01:18 +0000
Source: libmoosex-has-options-perl
Source-Version: 0.003-1

We believe that the bug you reported is fixed in the latest version of
libmoosex-has-options-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675927@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libmoosex-has-options-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 14:08:16 +0100
Source: libmoosex-has-options-perl
Binary: libmoosex-has-options-perl
Architecture: source all
Version: 0.003-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libmoosex-has-options-perl - module for succinctly declaring options for Moose attributes
Closes: 675927
Changes: 
 libmoosex-has-options-perl (0.003-1) unstable; urgency=low
 .
   [ matanya ]
   * Initial Release. Closes: #675927
 .
   [ gregor herrmann ]
   * New upstream release 0.003.
   * Finish packaging, add /me to Uploaders.
Checksums-Sha1: 
 6439943622b53c642cb0dc2108a4e2a5c3018558 2362 libmoosex-has-options-perl_0.003-1.dsc
 93cbd4fa8875300064824aad11f898d418318884 13847 libmoosex-has-options-perl_0.003.orig.tar.gz
 3e99e09fe5d40ea48d1c841987dc402000a1eb9b 1515 libmoosex-has-options-perl_0.003-1.debian.tar.gz
 2ff1daceea9aceb04ed776476f8578c347d4106b 15258 libmoosex-has-options-perl_0.003-1_all.deb
Checksums-Sha256: 
 f1e4830fb14b8933ceaf52223c54fbf4f694d7419727837f422ea0ba84b53362 2362 libmoosex-has-options-perl_0.003-1.dsc
 07c21cf8ed500b272020ff8da19f194728bb414e0012a2f0cc54ef2ef6222a68 13847 libmoosex-has-options-perl_0.003.orig.tar.gz
 fa658fd0a7595ea54dbd67fed006f8c61dae4868e125c8a837a68427cd9f07c0 1515 libmoosex-has-options-perl_0.003-1.debian.tar.gz
 3b343e6c29794ab3886b53e0e23975d5dba62a492ab36debb1e03195caaf52a8 15258 libmoosex-has-options-perl_0.003-1_all.deb
Files: 
 ae675daaebe8e561b08463b2761521a1 2362 perl optional libmoosex-has-options-perl_0.003-1.dsc
 c17d67c67dea5f6916f04ea398f55509 13847 perl optional libmoosex-has-options-perl_0.003.orig.tar.gz
 dd509358833d94ea785b5940b840c9e2 1515 perl optional libmoosex-has-options-perl_0.003-1.debian.tar.gz
 46dc696a6146b7f7aa3fd23527806580 15258 perl optional libmoosex-has-options-perl_0.003-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzcgQAAoJELs6aAGGSaoGAzIP+gIMdfUOyL/cuMx2L0bK3f1D
ZKjXq2drGzs2I0vo7n8tX85WPQNqVfvInqmCkVCDS9jraZ33KH0Kjd5jKG1mouon
ZDGoO+o7Fc0nIH257s5KeHDHkQ/CUM8sUgdDyk1zqW9X/LZY3NxneLsqpJ6OWoWF
t3HOsb8Tvq/X5h1+c9iuXnY9m/eBVm+cWUvZxDgcMnCuaIWv1FvwlfB4oDLc33O/
DX2QB9Mgvq2rQw5SZbRNA3xoVybY0iGKNM89GOWVHvyn+If0MBHvMxlF/cAcV/+3
xipZkcu6KJP4REGqYPmrVmR0swLQ1GWSZJIFTl75JHgvf46eXFX3ybMUv6+6zqjd
Ah8+bdKChzx7MTKSnAN/BYEH6tFJy6667EdL1WSgFuP22UaRMn2kCCY/tnBRCjs9
p7To8cCoBuwy6nvL1rJ8JDO2rBEN1uUZnQYao3/Cc2XT+Xxh8EfD2SfEMIYaDTn6
+20B1Dzp2z0Z7CtK+P4kBff22Ro36HJgFWdfFfKRqdmhkmoLjGIsTbQdJzM+GUSo
qvvc8geoP7H5v5ef1rpjir3Vf4pjawGyxyUlSwB1RsAb66IBy2/X9gXTv49aInf/
i7umNusZft6QAM52OP0PdhunIChw2/Ej9Dia0dfMuIJ27cxGehwWeEN/ZR4jlMWe
MWUQ1VrH04Gfpcd7dWNa
=r8Ab
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:26:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:57:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.